{% set CodiceModulo = "RICH_CONTR_CONV" %}
{% set Urn = "document:c_a794:richiesta.contributo.convenzione;convenzioni" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è compilato con il supporto dell'assistenza)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il/la dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
},
{ "codice":"DEL-ASS-CRE",
  "urn":"document:s_italia:sinistro.stradale;rapporto.rilievo;delega",
  "descrizione_tabella_allegati":"Delega alla presentazione della domanda",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Delega del legale rappresentante",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il/la dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"#Titolare_Ruolo.value() == 'Delegato'",
  "dynamic_check":"#Titolare_Ruolo.value() == 'Delegato'",
  "tipo":"allegato",
  "tipo_mime":"application/pdfn"
},
{ "codice":"COP_ID_DEL",
  "urn":"document:c_a794:copia.documento.identita.delegante;allegato",
  "descrizione_tabella_allegati":"Copia documento di identità delegante",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"documento identità delegante",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il/la dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"#Titolare_Ruolo.value() == 'Delegato'",
  "dynamic_check":"#Titolare_Ruolo.value() == 'Delegato'",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il/la dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list="ambiente,verde,cultura,disabilita,anziani,serviziscolastici,sport,altro,reti,polizia,sbu,infanzia"
uo_globo_list=""
descrizione="Richiesta di contributo a seguito di convenzione"
destinatario_amministrazione=""
destinatario_ufficio="UOTEMPOLIBEROSPORTCULTURA"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|11/10/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il/la dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Richiesta contributo a seguito di convenzione {% endblock title %}

{% block content %}
<script>

  function docReady(fn) {
    // DOM available?? 
    if (document.readyState === "complete" || document.readyState === "interactive") {
        setTimeout(fn, 2);
        //console.log('Dom loading');
    } else {
      //console.log('dom caricato'); 
  
      document.addEventListener("DOMContentLoaded", fn);
    }
  }    
  
  // RICHIAMO LA FUNZIONE docReady e gli passo la funzione da eseguire al caricamente del DOM 
  docReady(function() {
    // DOM Caricato
    // Svuoto la select degli ambiti così si è sempreobbligati a cambiare il valore 
    document.getElementById('Parametri_ElencoNaturaIniziativa').selectedIndex = 0;
    document.getElementById('Parametri_ElencoNaturaIniziativa').classList.add("mandatory");
    
  
  });
  
    // Array per individuare i suburn necessari al modulo 
    var UfficiSubUrn = [];
    UfficiSubUrn["OQUY7Y"] = "serviziscolastici";
    UfficiSubUrn["MKQ0AE"] = "disabilita";
    UfficiSubUrn["9DZHX2"] = "sport";
    UfficiSubUrn["BGDQAD"] = "ambiente";
    UfficiSubUrn["J96K20"] = "anziani";
    UfficiSubUrn["E47L91"] = "verde";
    UfficiSubUrn["CWG45S"] = "cultura";
    UfficiSubUrn["CEE9EF"] = "altro";
    UfficiSubUrn["ZFDQRB"] = "commercio";
    UfficiSubUrn["ZZV69J"] = "reti";
    UfficiSubUrn["7MPESC-03"] = "polizia";
    UfficiSubUrn["2JLQBG"] = "sbu";
    UfficiSubUrn["AW6WHZ"] = "infanzia";
  
  
  
    
  
    function SetImporto(parameter) {
      var dParameter = document.getElementById(parameter)
  
      if (/^\d+(\,|\.|)(\d+|)$/.test(dParameter.value))
          dParameter.value = parseFloat(dParameter.value.replace(/,/g,'.')).toFixed(2).replace('.',',')
        else
          dParameter.value = '0,00'
  
      if (parameter == 'Parametri_ImportoRichiesto' )
      {
        var codiceAmbito = document.getElementById('Parametri_ElencoNaturaIniziativa').value;
        var importoMaxBando = document.getElementById('Parametri_ImportoMassimoBando_' + codiceAmbito).value;
        var importoDisavanzo = document.getElementById('Parametri_DisavanzoPrevisto').value;
        //importoMaxBando = 1000;
        //importoMaxBando = parseFloat(importoMaxBando).toFixed(2);
        importoMaxBando = parseFloat(importoMaxBando);
        //importoDisavanzo = parseFloat(importoDisavanzo).toFixed(2);
        importoDisavanzo = parseFloat(importoDisavanzo);
        //console.log(dParameter.value + "  eccoci " + importoMaxBando +  " " + importoDisavanzo + "  ");
        //console.log(parseFloat(dParameter.value));
        if (parseFloat(dParameter.value) > importoMaxBando)
        {
          dParameter.value = "";
          alert('Per questo bando è possibile inserire un importo del valore massimo di Euro' + importoMaxBando);
        }
  
        if (parseFloat(dParameter.value) > importoDisavanzo)
        {
          dParameter.value = "";
          alert('Importo non deve essere più alto del disavanzo previsto');
        }
        
      }
      else 
      {
        
        //CalcolaTotale();
        VerificaMassimoContributo(parameter);
      }
    
      
    }
  
    function VerificaMassimoContributo(nameField)
    {
    
      var dTotale = document.getElementById('Parametri_DisavanzoPrevisto');
      sSomma = 0;
      var sImportospesa = document.getElementById('Parametri_SpesaComplessiva').value;
      var sImportoentrate = document.getElementById('Parametri_EntrateComplessive').value;
      
      if (/^\d+(\,|\.|)(\d+|)$/.test(sImportospesa))
        if (/^\d+(\,|\.|)(\d+|)$/.test(sImportoentrate))
            sSomma = parseFloat(sImportospesa.replace(/,/g,'.')) - parseFloat(sImportoentrate.replace(/,/g,'.'))
        else
          sSomma = parseFloat(sImportospesa.replace(/,/g,'.'))
      else 
        sSomma = '0,00'
  
      dTotale.value = parseFloat(sSomma).toFixed(2).replace('.',',');
  
      if (sSomma < 0)
      {
        alert("Disavanzo negativo - Domanda non sottoscrivibile");
      }
      else if (nameField == 'Parametri_EntrateComplessive' )
      {
        document.getElementById('hidden_disavanzonegativo').value = "SI";
        document.getElementById("hidden_disavanzonegativo").classList.remove('mandatory');
      } 
      
    }
  
    // Funzione per la selezione dell'intervento. 
    // si appoggia ad una serie di select che hanno come ID (Parametri_Intervento_NOME DELL'AMBITO) e va a ciclare i contenuti di queste form nascoste per poi valorizzare la Select che serve all'utente. 
    function setSelectValue()
    {
      // imposto il valore dell'etichetta nel campo Parametri_NaturaIniziativa in modo che lo possa trovare Icaro nel faldone telematico
      var selNatIniz = document.getElementById("Parametri_ElencoNaturaIniziativa");
      
      var etiSelNatInizi = selNatIniz.options[selNatIniz.selectedIndex].text;
      // metto l'etichetta della natura iniziativa tutta minuscola
      document.getElementById('Parametri_NaturaIniziativa').value = selNatIniz.options[selNatIniz.selectedIndex].text;
  
      // aggiorno la SELECT Parametri_Intervento con i valori estratti dalle varie select con le tassonomie
      nomeCampo = document.getElementById('Parametri_ElencoNaturaIniziativa').value;
      // inserisco il valore del CodiceUfficioDestinatario corrispondente all'ambito selezionato nel campo hidden che servirà a valorizzare il faldone per IcaroEVO
      document.getElementById('Parametri_CodiceUfficioDestinatario').value = document.getElementById('Parametri_CodiceUfficioDestinatario_' + nomeCampo).value;
      document.getElementById('CodiceUfficioDestinatario').value = document.getElementById('Parametri_CodiceUfficioDestinatario_' + nomeCampo).value;
      // Valorizzo il campo codice Suburn che serve per passare al dispatcher i codici degli ambiti come SUURN
      document.getElementById('Parametri_CodiceSubUrn').value = UfficiSubUrn[document.getElementById('Parametri_CodiceUfficioDestinatario').value];
  
      arrayOpzioni = document.getElementById('Parametri_Intervento_' + nomeCampo).options;
      selectDaSostituire = document.getElementById("Parametri_Intervento");
      selectDaSostituire.innerHTML = '';
      txt = '';
      //ciclo le options estratte dalla select selezionata (Valorizzata in precedenza con la REST) e le inserisco nella select Parametri_Intervento che serve nel Faldone a ICAROEVO
      for (var option of arrayOpzioni) {
        var option_new = document.createElement("option");
        if (option.value == '')
        {
          option_new.text = '';
          option_new.value = '';
        }
        else
        {
          option_new.text = option.text;
          option_new.value = option.value;
        }
        selectDaSostituire.add(option_new);
      }
    }
  // Funzione per valorizzare il bando/avviso a seconda del valore dell'intervento
  function setAvviso()
    {
      var nomeIntervento = document.getElementById("Parametri_Intervento").value; 
      if (nomeIntervento == 'Contributo Economico per progetti relativi a Bergamo Brescia capitale della cultura')
      {
        document.getElementById("Parametri_Bando").value = "Determina Dirigenziale del 15/04/2024, n. 954";
      }
    }
  </script>
<globo_fondo_pagina areaheight="150" scope="3">
  {{ utils.firma( firmatario = "Il/la dichiarante" ) }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Denominazione.value().toUpperCase() + ' '  + ' - Richiesta di contributo a seguito di convenzione'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Richiesta di contributo a seguito di convenzione </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il/La sottoscritto/a", 
                      ruoli=["Titolare", "Legale rappresentante","Delegato"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="false", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="true", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false") }}

<div class="space-1"></div>
{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}
<div class="space-1"></div>
<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> la concessione del contributo economico a seguito della convenzione/accordo/collaborazione approvata con </div>
</div>
<div class="container">
  <div class="form-row">
    <div class="form-group col-lg-5">
        <label for="Parametri_Atto"> Delibera </label>
        <select class="form-control custom-select" id="Parametri_Atto" name="Parametri_Atto" label="Atto" mandatory="true">
          <option value=""></option>
          <option value="Consiglio">Deliberazione Consiglio Comunale</option>
          <option value="Giunta">Deliberazione Giunta Comunale</option>
        </select>
    </div>
    <div class="form-group col-lg-3">
        <label for="Parametri_DataDel"> Data </label>
        <input class="form-control" id="Parametri_DataDel" name="Parametri_DataDel" label="Data delibera" format="date" mandatory="true">
    </div>
    <div class="form-group col-lg-4">
        <label for="Parametri_Numero"> Numero </label>
        <input class="form-control" id="Parametri_Numero" name="Parametri_Numero" label="Numero delibera" mandatory="true">
    </div>
  </div>
</div>
<!-- IN CASO DI INSERIMENTO DI NUOVE UO IN TASSONOMIA RIPORTARE IL CODICE NEL ARRAY idAmbiti -->
    <!-- GENERO UNA SERIE DI SELECT NASCOSTE CHE SERVONO SOLAMENTE PER POTER RIPESCARE I VARI VALORI DALLA TASSONOMIA E POI COPIARE IL CONTENUTO DELLA SELECT INTERESSATA NELLA SELECT CHE VIENE
         VISUALIZZATA AL CITTADINO A SECONDA DELLA SELEZIONE DELLA NATURA INIZIATIVA -->
    <!-- In questo array inserisco i vari ID della tassonomia dell'ambito di intervento in modo che possa poi valorizzare le varie QUery e di conseguenza valorizzare la select Parametri_Intervento-->
    {% set idAmbiti = [
      "12442",  
      "12443",  
      "12447",
      "12449",
      "12450",
      "12441",
      "12451",
      "12452",
      "12453",
      "12463",
      "12465",
      "12475",
      "12477",
      "12484",
      "12470"
      ] %}


  
      {% for id in idAmbiti %}
        
        <div style="display:none;">
          <div rest-name="/REST/interventi/{{id}}" rest-type="select" rest-param-out="Parametri_Intervento_{{id}}" rest-on="#ButtonSelect{{id}}:click" rest-allow-edit="true"></div>
          <input id="ButtonSelect{{id}}" name="ButtonSelect{{id}}" style="display:none" type="button" />
          <select style="width: 100%;" id="Parametri_Intervento_{{id}}" name="Parametri_Intervento_{{id}}">
          </select>
      </div>

        <div  style="display:none;" rest-name="/REST/dettaglio_ambito/{{id}}" rest-type="text" rest-param-out="Parametri_CodiceUfficioDestinatario_{{id}}=CodiceUfficioDestinatario" rest-on="#ButtonSelect{{id}}:click" rest-allow-edit="false"></div>
        <input class="form-control" type="hidden" id="Parametri_CodiceUfficioDestinatario_{{id}}" name="Parametri_CodiceUfficioDestinatario_{{id}}" readonly="readonly">

        <div  style="display:none;" rest-name="/REST/dettaglio_ambito/{{id}}" rest-type="text" rest-param-out="Parametri_ImportoMassimoBando_{{id}}=ImportoMassimoBando" rest-on="#ButtonSelect{{id}}:click" rest-allow-edit="false"></div>
        <input class="form-control" type="hidden" id="Parametri_ImportoMassimoBando_{{id}}" name="Parametri_ImportoMassimoBando_{{id}}" readonly="readonly">

      {% endfor %}
<div class="container border bg-light">
  <div class="form-row">
    <div class="title-3"> Ufficio destinatario </div>
  </div>
  <div class="form-row">
     <!-- SELECT in cui inserire i vari ambiti definiti nella tassonomia in questo caso non inserire virgole nelle etichette altirmenti crea problemi con gli SUBURN-->
        <!-- in questa select i value devono corrispondere a quelli inseriti nell'array qua sopra e come etichetta possiamo inserire il nome dell'ambito che poi serve per la definizine del destinatario del modulo -->
        <!-- la selezione della NaturaIniziativa valorizza poi il campo SubUrn che guida l'assegnazione del protocollo -->
    <div class="form-group col-lg-12">
      <label for="Parametri_ElencoNaturaIniziativa"> Selezionare l'ufficio competente </label>
      <select class="form-control custom-select" id="Parametri_ElencoNaturaIniziativa" name="Parametri_ElencoNaturaIniziativa" label="Ufficio competente" onchange="setSelectValue();" mandatory="true">
        <option value=""></option>
        <option value="12442">Ambiente</option>
        <option value="12443">Anziani minori adulti e famiglie</option>
        <option value="12449">Cultura e turismo</option>
        <option value="12451">Disabilità</option>
        <option value="12452">Educativo e giovani</option>
        <option value="12470">Infanzia e genitorialità</option>
        <option value="12477">Istituti Culturali</option>
        <option value="12463">Reti di quartiere</option>
        <option value="12475">Polizia locale</option>
        <option value="12484">Sistema bibliotecario urbano</option>         
        <option value="12450">Sport</option>
        <option value="12447">Verde pubblico</option>
        <option value="12453">Affari generali</option>
      </select>
    </div>
  </div>

    
        <!-- Questo è un campo Hidden che viene valorizzato con la select qua sopra da un Javascript Questo ci serve in modo che nel Faldone Telematico ci sia il campo specifico Parametri_NaturaIniziativa che serve a IcaroEVO-->
        <input id="Parametri_NaturaIniziativa" name="Parametri_NaturaIniziativa" value="" style="width: 100%; display:none;" />
        <input type="hidden" id="Parametri_CodiceUfficioDestinatario" name="Parametri_CodiceUfficioDestinatario" value="" />
        <input type="hidden" id="Parametri_CodiceSubUrn" name="Parametri_CodiceSubUrn" value="" />
        <input type="hidden" id="CodiceUfficioDestinatario" name="CodiceUfficioDestinatario" value="" />
  <div class="form-row">
    <div class="title-3"> Convenzione </div>
  </div>   
   <!-- Questa select viene valorizzata dal JAvascipt sopra che permette al cittadino di selezionare l'intervento da un elenco di tassonomie - La tassonia deve corrispondere con l'intervento inserito in IcaroEvo -->
        <!-- La select in caso di salvataggio Bozza del modulo e riapertura deve essere risettata in quanto perde il valore assegnatogli tramite Javascript, però una volta inviata viene salvato nel Faldone Telematico e viene letto da IcaroEVO-->
  <div class="form-row">
    <div class="form-group col-lg-12">  
    <select class="form-control custom-select" id="Parametri_Intervento" name="Parametri_Intervento" label="Convenzione" mandatory="true"  onchange="setAvviso();">
    </select>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_Bando"> Estremi convenzione </label>
      <input class="form-control" id="Parametri_Bando" name="Parametri_Bando" label="Estremi convenzione">
    </div>
  </div> 
</div>

<div class="space-1"></div>

<div class="space-1"></div>
<div class="container">
  <div class="paragraph text-justify"> per lo svolgimento della seguente attività: </div>
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="title-3"> Attività </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
        <label for="Parametri_Descrizione"> breve descrizione</label>
        <textarea class="form-control" id="Parametri_Descrizione" name="Parametri_Descrizione" label="Descrizione" mandatory="true"></textarea>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_ImportoRichiesto">importo Richiesto </label>
      <div class="paragraph text-justify"> <input class="form-control w-25 d-inline-block" id="Parametri_ImportoRichiesto" name="Parametri_ImportoRichiesto" label="Importo richiesto" mandatory="true" format="regular_expression" expression="^\d+(\,|\.|)(\d+|)$" placeholder="0,00"> € </div>
    </div>
  </div>  
</div>
<div class="space-1"></div>
<div class="container">
  <div class="paragraph text-justify"> e a tal fine, </div>
</div>
{{ utils.Dichiara_445() }}
<div class="space-1"></div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="title-3"> Dichiarazioni obbligatorie </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Esclusione" name="Tassonomia_Esclusione" type="checkbox" checked="checked" dynamic_check="true" value="SI">
    <label class="form-check-label" for="Tassonomia_Esclusione"> che l'organizzazione non fa parte dell'articolazione politico-amministrativa di alcun partito, secondo quanto previsto dalla Legge 02/05/1974, n.195, art. 7 e dalla Legge 18/11/1981, n. 659, art. 4 </label>
  </div>
  {% set obblighi = [
    "che l'organizzazione è in regola con l'obbligo di versamento dei contributi assicurativi e previdenziali ai sensi della Legge 09/08/2013, n. 98",
    "che l'organizzazione non è soggetta agli obblighi di versamento dei contributi assicurativi e previdenziali ai sensi della Legge 09/08/2013, n. 98"
  ]%}
  {% for obbligo in obblighi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Obblighi" name="Tassonomia_Obblighi" label="Label" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Obblighi{{ loop.index }}" name="Tassonomia_Obblighi" type="radio" value="{{ loop.index }}">
    <label class="form-check-label" for="Tassonomia_Obblighi{{ loop.index }}"> {{ obbligo|safe }} </label>
  </div>
  {% endfor %}
</div>
<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_EventualiAnnotazioni"> Eventuali annotazioni </label>
      <textarea class="form-control" id="Parametri_EventualiAnnotazioni" name="Parametri_EventualiAnnotazioni"></textarea>
    </div>
  </div>
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>
<globo_salto_pagina></globo_salto_pagina>
{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>
{{ utils.firma_hidden( firmatario = "Il dichiarante" ) }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>
<!-- SUB URN lo prendo direttamente dal valore della Natura Iniziativa che corrisponde alle etichette della tassonomia creata in STU -->
<input id="GLOBO_sub_urn" name="GLOBO_sub_urn" type="hidden" dynamic_value="#Parametri_CodiceSubUrn.value()" />
<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}